Bug 1592905 - exercism - Binary in package fails to run
Summary: exercism - Binary in package fails to run
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: exercism
Version: 28
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Clément DAVID
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-19 14:54 UTC by Justyn Temme
Modified: 2019-05-28 23:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:40:52 UTC
Type: ---


Attachments (Terms of Use)

Description Justyn Temme 2018-06-19 14:54:22 UTC
Description: 

When running exercism from the package a runtime error occurs

panic: reflect: Call using *cli.Context as type *cli.Context [recovered]
	panic: reflect: Call using *cli.Context as type *cli.Context

goroutine 1 [running]:
github.com/urfave/cli.HandleAction.func1(0xc420079780)
	/usr/share/gocode/src/github.com/urfave/cli/app.go:478 +0x23b
panic(0x76fe40, 0xc4200a91e0)
	/usr/lib/golang/src/runtime/panic.go:505 +0x229
reflect.Value.call(0x77e180, 0x81e508, 0x13, 0x7fe8c9, 0x4, 0xc420079740, 0x1, 0x1, 0xc4200b8040, 0x7f2d60, ...)
	/usr/lib/golang/src/reflect/value.go:377 +0x1202
reflect.Value.Call(0x77e180, 0x81e508, 0x13, 0xc420079740, 0x1, 0x1, 0x7283d6, 0x7febc9, 0x4)
	/usr/lib/golang/src/reflect/value.go:308 +0xa4
github.com/urfave/cli.HandleAction(0x77e180, 0x81e508, 0xc420100500, 0x0, 0x0)
	/usr/share/gocode/src/github.com/urfave/cli/app.go:487 +0x16d
github.com/urfave/cli.Command.Run(0x7ff47b, 0x5, 0x7fe39d, 0x1, 0x0, 0x0, 0x0, 0x814a8b, 0x33, 0x0, ...)
	/usr/share/gocode/src/github.com/urfave/cli/command.go:189 +0x9a9
github.com/urfave/cli.(*App).Run(0xc420092780, 0xc4200aa060, 0x3, 0x3, 0x0, 0x0)
	/usr/share/gocode/src/github.com/urfave/cli/app.go:240 +0x546
main.main()
	/builddir/build/BUILD/cli-2.4.1/exercism/main.go:188 +0xcbf




Fedora Account System Username: user

Package information

Name        : exercism
Version     : 2.4.1
Release     : 2.fc28
Architecture: x86_64
Install Date: Tue 19 Jun 2018 09:52:28 AM CDT
Group       : Unspecified
Size        : 7842536
License     : MIT
Signature   : RSA/SHA256, Wed 07 Feb 2018 01:36:46 PM CST, Key ID e08e7e629db62fb1
Source RPM  : exercism-2.4.1-2.fc28.src.rpm
Build Date  : Wed 07 Feb 2018 03:07:32 AM CST
Build Host  : buildvm-16.phx2.fedoraproject.org
Relocations : (not relocatable)
Packager    : Fedora Project
Vendor      : Fedora Project



Fedora 28 fully updated

Comment 1 Elliott Sales de Andrade 2019-02-17 07:33:58 UTC
I don't think I will be able to update this in Fedora 28, as it requires new spf13/viper, which requires go 1.11. Things should be better in Fedora 29 where exercism 3.0.11 is in testing.

Comment 2 Ben Cotton 2019-05-02 19:53:34 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2019-05-28 23:40:52 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.